[project]
name = "flower"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.14"
dependencies = [
    "celery>=5.5.3",
    "coverage>=7.12.0",
    "django==5.2.8",
    "django-cors-headers>=4.9.0",
    "django-environ>=0.12.0",
    "django-filter>=25.2",
    "django-ninja>=1.4.5",
    "django-qiniu-storage>=2.3.1",
    "django-simpleui>=2025.6.24",
    "djangorestframework>=3.16.1",
    "djangorestframework-simplejwt>=5.5.1",
    "drf-spectacular>=0.29.0",
    "markdown>=3.10",
    "pillow>=12.0.0",
    "uvicorn>=0.38.0",
    "watchfiles>=0.22.0",
    "psycopg[binary]>=3.2.12",
    "redis>=5.0.0",
    "aiohttp>=3.13.2",
    "tencentcloud-sdk-python>=3.0.0",
    "python-docx>=1.2.0",
]

[dependency-groups]
dev = [
    "pytest>=9.0.1",
]
